[lsb-discuss] Different behaviour between 4.0 release and 4.0 from 4.1 beta

Wichmann, Mats D mats.d.wichmann at intel.com
Mon Jan 3 04:38:14 PST 2011


Craig Scott wrote:
> Actually, it turns out the reason is because of changes in the
> LSB packages for lib64-4.0/pkgconfig/gtk+-2.0.pc where the
> version was updated from 2.8.0 to 2.10.0. Qt tests for a
> minimum version of 2.10.0 in its configure script (but
> unhelpfully doens't output any debug info about this), which
> explains why the behaviour changed from LSB 4.0 to 4.1 beta
> packages. Still a Qt bug though. ;)

well yes, but also notice that the answer should not have
been "2.10.0" if you were building in a conforms-to-4.0 context.
That's the bug I cited in passing in commenting on bug 3144 -
but 2810, which notes that the same .pc file should not
necessarily be used for every LSB version.  



More information about the lsb-discuss mailing list